/**
 * Copyright Aquera Inc 2023
 *
 * This source code is licensed under the BSD-3-Clause license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { CSSResultArray, TemplateResult } from 'lit';
import NileElement from '../internal/nile-element';
export declare class NileCircularProgressbar extends NileElement {
    static get styles(): CSSResultArray;
    progressCircle: SVGCircleElement;
    value: number;
    private isInvalidValue;
    content?: string;
    size: number;
    private get circleSize();
    connectedCallback(): void;
    private setProgress;
    private validateValue;
    updated(changedProperties: Map<string, any>): void;
    render(): TemplateResult;
}
export default NileCircularProgressbar;
declare global {
    interface HTMLElementTagNameMap {
        'nile-circular-progressbar': NileCircularProgressbar;
    }
}
